%define upstream_name    Catalyst-Plugin-Cache
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Choose a cache backend based on key regexes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.800.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Storable)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

Requires:   perl(Class::Data::Inheritable)
%{?perl_default_filter}

%description
This plugin gives you access to a variety of systems for caching data. It
allows you to use a very simple configuration API, while maintaining the
possibility of flexibility when you need it later.

Among its features are support for multiple backends, segmentation based on
component or controller, keyspace partitioning, and so more, in various
subsidiary plugins.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.120.0-13.mga10
+ Revision: 2212195
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 0.120.0-12.mga9
+ Revision: 1831439
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-11.mga8
+ Revision: 1503525
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.120.0-10.mga7
+ Revision: 1282207
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.120.0-9.mga7
+ Revision: 1167789
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-8.mga6
+ Revision: 1023276
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-7.mga6
+ Revision: 948915
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.120.0-6.mga5
+ Revision: 788646
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 741126
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.120.0-4.mga5
+ Revision: 732867
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 526792
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.120.0-1.mga4
+ Revision: 438860
- update to 0.12

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 363972
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 254652
- update to 0.11

* Wed Jan 26 2011 jquelin <jquelin> 0.100.0-2.mga1
+ Revision: 41220
- adding missing requires:

* Wed Jan 26 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 40261
- mageia rebuild
- imported package perl-Catalyst-Plugin-Cache

